﻿<Application x:Class="DBManager.App"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:local="clr-namespace:DBManager"
             xmlns:viewModels="clr-namespace:DBManager.MVVM.ViewModels"
             xmlns:view="clr-namespace:DBManager.MVVM.Views"
             StartupUri="MainWindow.xaml">
    <Application.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="Style/Animation.xaml"/>
                <ResourceDictionary Source="Style/RadioButtonStyle.xaml"/>
            </ResourceDictionary.MergedDictionaries>
            <DataTemplate DataType="{x:Type viewModels:PlayerViewModel}">
                <view:PlayerView/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type viewModels:StaffViewModel}">
                <view:StaffView/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type viewModels:PlayerAchievementsViewModel}">
                <view:AchievementsView/>
            </DataTemplate>

        </ResourceDictionary>

    </Application.Resources>
</Application>
